# $Revision: 1.11 $, $Date: 2004/10/09 11:04:07 $
Summary:	Mingw32 GNU binary utility development utilities - DirectX 7.0 API
Summary(pl):	Skrone narzdzia programistyczne GNU dla Mingw32 - API DirectX 7.0
Name:		crossmingw32-dx70
Version:	7.0
Release:	4
Epoch:		1
License:	Free (libs), (c) Microsoft Corporation (headers)
Group:		Development/Libraries
# headers are Copyright (C) 19xx Microsoft Corporation - what about license???
# (even if distributable, are they "Free"?!)
Source0:	http://alleg.sourceforge.net/files/dx70_mgw.zip
# Source0-md5:	8a57b4c81a296d75f75d7a9810ae59a0
Source1:	http://www.libsdl.org/extras/win32/common/directx-devel.tar.gz
# Source1-md5:	389a36e4d209c0a76bea7d7cb6315315
URL:		http://www.mingw.org/
Requires:	crossmingw32-runtime
Provides:	crossmingw32-w32api-dx
Obsoletes:	crossmingw32-w32api-dx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		i386-mingw32
%define		target_platform i386-pc-mingw32
%define		arch		%{_prefix}/%{target}

%define		__unzip		unzip -q -o
# strip fails on static COFF files
%define		no_install_post_strip 1

%description
crossmingw32 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the Mingw32 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to i386-mingw32, along
with supporting Win32 libraries in 'coff' format from free sources.

This package contains DirectX 7.0 API includes and libraries.

%description -l pl
crossmingw32 jest kompletnym systemem do kompilacji skronej,
pozwalajcym budowa aplikacje MS Windows pod Linuksem uywajc
bibliotek mingw32. System skada si z binutils, gcc z g++ i objc,
libstdc++ - wszystkie generujce kod dla platformy i386-mingw32, oraz
z bibliotek w formacie COFF.

Ten pakiet zawiera pliki nagwkowe i biblioteki API DirectX 7.0.

%prep
%setup -q -c
mkdir extras
cd extras
tar zxf %{SOURCE1}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{arch}/{include,lib}

mv -f lib/src/*.htm .
rm -rf lib/src

cp -fa include/* $RPM_BUILD_ROOT%{arch}/include
cp -fa lib/* $RPM_BUILD_ROOT%{arch}/lib

cp extras/include/directx.h $RPM_BUILD_ROOT%{arch}/include

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc directx.htm
%{arch}/include/*
%{arch}/lib/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-dx70.spec,v $
Revision 1.11  2004/10/09 11:04:07  wolf
- rel++
- R: crossmingw32-runtime

Revision 1.10  2004/01/18 15:55:29  wolf
- is there a reason for ExclusiveArch?

Revision 1.9  2004/01/02 15:59:36  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.8  2003/12/28 14:37:44  jajcus
- include AMD64 in ExclusiveArch

Revision 1.7  2003/09/04 20:26:52  wolf
- add directx.h

Revision 1.6  2003/08/29 23:30:32  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.5  2003/08/21 07:24:37  ankry
- s/kroskompilator/kompilator skrony/

Revision 1.4  2003/08/06 16:52:24  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.3  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:46:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/05 15:09:29  qboosh
- separated from crossmingw32-platform.spec
- Provides+Obsoletes: crossmingw32-w32api-dx

